|
|||||||||
| Home >> All >> javax >> [ servlet overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
javax.servlet
Interface ServletRequest

- All Known Implementing Classes:
- ServletRequestWrapper
- public interface ServletRequest
Defines an object to provide client request information to a servlet. The
servlet container creates a ServletRequest object and passes
it as an argument to the servlet's service method.
A ServletRequest object provides data including
parameter name and values, attributes, and an input stream.
Interfaces that extend ServletRequest can provide
additional protocol-specific data (for example, HTTP data is
provided by javax.servlet.http.HttpServletRequest.
- Version:
- $Version$
| Method Summary | |
java.lang.Object |
getAttribute(java.lang.String name)
Returns the value of the named attribute as an Object,
or null if no attribute of the given name exists. |
java.util.Enumeration |
getAttributeNames()
Returns an Enumeration containing the
names of the attributes available to this request. |
java.lang.String |
getCharacterEncoding()
Returns the name of the character encoding used in the body of this request. |
int |
getContentLength()
Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known. |
java.lang.String |
getContentType()
Returns the MIME type of the body of the request, or null if the type is not known. |
ServletInputStream |
getInputStream()
Retrieves the body of the request as binary data using a ServletInputStream. |
java.lang.String |
getLocalAddr()
Returns the Internet Protocol (IP) address of the interface on which the request was received. |
java.util.Locale |
getLocale()
Returns the preferred Locale that the client will
accept content in, based on the Accept-Language header. |
java.util.Enumeration |
getLocales()
Returns an Enumeration of Locale objects
indicating, in decreasing order starting with the preferred locale, the
locales that are acceptable to the client based on the Accept-Language
header. |
java.lang.String |
getLocalName()
Returns the host name of the Internet Protocol (IP) interface on which the request was received. |
int |
getLocalPort()
Returns the Internet Protocol (IP) port number of the interface on which the request was received. |
java.lang.String |
getParameter(java.lang.String name)
Returns the value of a request parameter as a String,
or null if the parameter does not exist. |
java.util.Map |
getParameterMap()
Returns a java.util.Map of the parameters of this request. |
java.util.Enumeration |
getParameterNames()
Returns an Enumeration of String
objects containing the names of the parameters contained
in this request. |
java.lang.String[] |
getParameterValues(java.lang.String name)
Returns an array of String objects containing
all of the values the given request parameter has, or
null if the parameter does not exist. |
java.lang.String |
getProtocol()
Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1. |
java.io.BufferedReader |
getReader()
Retrieves the body of the request as character data using a BufferedReader. |
java.lang.String |
getRealPath(java.lang.String path)
Deprecated. As of Version 2.1 of the Java Servlet API, use ServletContext.getRealPath(java.lang.String) 55 instead. |
java.lang.String |
getRemoteAddr()
Returns the Internet Protocol (IP) address of the client or last proxy that sent the request. |
java.lang.String |
getRemoteHost()
Returns the fully qualified name of the client or the last proxy that sent the request. |
int |
getRemotePort()
Returns the Internet Protocol (IP) source port of the client or last proxy that sent the request. |
RequestDispatcher |
getRequestDispatcher(java.lang.String path)
Returns a RequestDispatcher object that acts as a wrapper for the resource located at the given path. |
java.lang.String |
getScheme()
Returns the name of the scheme used to make this request, for example, http, https, or ftp. |
java.lang.String |
getServerName()
Returns the host name of the server to which the request was sent. |
int |
getServerPort()
Returns the port number to which the request was sent. |
boolean |
isSecure()
Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS. |
void |
removeAttribute(java.lang.String name)
Removes an attribute from this request. |
void |
setAttribute(java.lang.String name,
java.lang.Object o)
Stores an attribute in this request. |
void |
setCharacterEncoding(java.lang.String env)
Overrides the name of the character encoding used in the body of this request. |
| Method Detail |
getAttribute
public java.lang.Object getAttribute(java.lang.String name)
- Returns the value of the named attribute as an
Object, ornullif no attribute of the given name exists.Attributes can be set two ways. The servlet container may set attributes to make available custom information about a request. For example, for requests made using HTTPS, the attribute
javax.servlet.request.X509Certificatecan be used to retrieve information on the certificate of the client. Attributes can also be set programatically usingsetAttribute(java.lang.String, java.lang.Object)55 . This allows information to be embedded into a request before a RequestDispatcher call.Attribute names should follow the same conventions as package names. This specification reserves names matching
java.*,javax.*, andsun.*.
getAttributeNames
public java.util.Enumeration getAttributeNames()
- Returns an
Enumerationcontaining the names of the attributes available to this request. This method returns an emptyEnumerationif the request has no attributes available to it.
getCharacterEncoding
public java.lang.String getCharacterEncoding()
- Returns the name of the character encoding used in the body of this
request. This method returns
nullif the request does not specify a character encoding
setCharacterEncoding
public void setCharacterEncoding(java.lang.String env) throws java.io.UnsupportedEncodingException
- Overrides the name of the character encoding used in the body of this
request. This method must be called prior to reading request parameters
or reading input using getReader().
getContentLength
public int getContentLength()
- Returns the length, in bytes, of the request body
and made available by the input stream, or -1 if the
length is not known. For HTTP servlets, same as the value
of the CGI variable CONTENT_LENGTH.
getContentType
public java.lang.String getContentType()
- Returns the MIME type of the body of the request, or
nullif the type is not known. For HTTP servlets, same as the value of the CGI variable CONTENT_TYPE.
getInputStream
public ServletInputStream getInputStream() throws java.io.IOException
- Retrieves the body of the request as binary data using
a ServletInputStream. Either this method or
getReader()55 may be called to read the body, not both.
getParameter
public java.lang.String getParameter(java.lang.String name)
- Returns the value of a request parameter as a
String, ornullif the parameter does not exist. Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use
getParameterValues(java.lang.String)55 .If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by
getParameterValues.If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via
getInputStream()55 orgetReader()55 can interfere with the execution of this method.
getParameterNames
public java.util.Enumeration getParameterNames()
- Returns an
EnumerationofStringobjects containing the names of the parameters contained in this request. If the request has no parameters, the method returns an emptyEnumeration.
getParameterValues
public java.lang.String[] getParameterValues(java.lang.String name)
- Returns an array of
Stringobjects containing all of the values the given request parameter has, ornullif the parameter does not exist.If the parameter has a single value, the array has a length of 1.
getParameterMap
public java.util.Map getParameterMap()
- Returns a java.util.Map of the parameters of this request.
Request parameters
are extra information sent with the request. For HTTP servlets,
parameters are contained in the query string or posted form data.
getProtocol
public java.lang.String getProtocol()
- Returns the name and version of the protocol the request uses
in the form protocol/majorVersion.minorVersion, for
example, HTTP/1.1. For HTTP servlets, the value
returned is the same as the value of the CGI variable
SERVER_PROTOCOL.
getScheme
public java.lang.String getScheme()
- Returns the name of the scheme used to make this request,
for example,
http,https, orftp. Different schemes have different rules for constructing URLs, as noted in RFC 1738.
getServerName
public java.lang.String getServerName()
- Returns the host name of the server to which the request was sent.
It is the value of the part before ":" in the
Hostheader value, if any, or the resolved server name, or the server IP address.
getServerPort
public int getServerPort()
- Returns the port number to which the request was sent.
It is the value of the part after ":" in the
Hostheader value, if any, or the server port where the client connection was accepted on.
getReader
public java.io.BufferedReader getReader() throws java.io.IOException
- Retrieves the body of the request as character data using
a
BufferedReader. The reader translates the character data according to the character encoding used on the body. Either this method orgetInputStream()55 may be called to read the body, not both.
getRemoteAddr
public java.lang.String getRemoteAddr()
- Returns the Internet Protocol (IP) address of the client
or last proxy that sent the request.
For HTTP servlets, same as the value of the
CGI variable
REMOTE_ADDR.
getRemoteHost
public java.lang.String getRemoteHost()
- Returns the fully qualified name of the client
or the last proxy that sent the request.
If the engine cannot or chooses not to resolve the hostname
(to improve performance), this method returns the dotted-string form of
the IP address. For HTTP servlets, same as the value of the CGI variable
REMOTE_HOST.
setAttribute
public void setAttribute(java.lang.String name, java.lang.Object o)
- Stores an attribute in this request.
Attributes are reset between requests. This method is most
often used in conjunction with RequestDispatcher.
Attribute names should follow the same conventions as package names. Names beginning with
java.*,javax.*, andcom.sun.*, are reserved for use by Sun Microsystems.
If the object passed in is null, the effect is the same as callingremoveAttribute(java.lang.String)55 .
It is warned that when the request is dispatched from the servlet resides in a different web application byRequestDispatcher, the object set by this method may not be correctly retrieved in the caller servlet.
removeAttribute
public void removeAttribute(java.lang.String name)
- Removes an attribute from this request. This method is not
generally needed as attributes only persist as long as the request
is being handled.
Attribute names should follow the same conventions as package names. Names beginning with
java.*,javax.*, andcom.sun.*, are reserved for use by Sun Microsystems.
getLocale
public java.util.Locale getLocale()
- Returns the preferred
Localethat the client will accept content in, based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns the default locale for the server.
getLocales
public java.util.Enumeration getLocales()
- Returns an
EnumerationofLocaleobjects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns anEnumerationcontaining oneLocale, the default locale for the server.
isSecure
public boolean isSecure()
- Returns a boolean indicating whether this request was made using a
secure channel, such as HTTPS.
getRequestDispatcher
public RequestDispatcher getRequestDispatcher(java.lang.String path)
- Returns a RequestDispatcher object that acts as a wrapper for
the resource located at the given path.
A
RequestDispatcherobject can be used to forward a request to the resource or to include the resource in a response. The resource can be dynamic or static.The pathname specified may be relative, although it cannot extend outside the current servlet context. If the path begins with a "/" it is interpreted as relative to the current context root. This method returns
nullif the servlet container cannot return aRequestDispatcher.The difference between this method and
ServletContext.getRequestDispatcher(java.lang.String)55 is that this method can take a relative path.
getRealPath
public java.lang.String getRealPath(java.lang.String path)
- Deprecated. As of Version 2.1 of the Java Servlet API,
use
ServletContext.getRealPath(java.lang.String)55 instead.
getRemotePort
public int getRemotePort()
- Returns the Internet Protocol (IP) source port of the client
or last proxy that sent the request.
- Since:
- 2.4
getLocalName
public java.lang.String getLocalName()
- Returns the host name of the Internet Protocol (IP) interface on
which the request was received.
- Since:
- 2.4
getLocalAddr
public java.lang.String getLocalAddr()
- Returns the Internet Protocol (IP) address of the interface on
which the request was received.
- Since:
- 2.4
getLocalPort
public int getLocalPort()
- Returns the Internet Protocol (IP) port number of the interface
on which the request was received.
- Since:
- 2.4
|
|||||||||
| Home >> All >> javax >> [ servlet overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC